Bug 210463 - Puplet tray icon persist for a short period after update is finished
Puplet tray icon persist for a short period after update is finished
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-12 07:08 EDT by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-06 14:33:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2006-10-12 07:08:16 EDT
Description of problem:
Puplet tray icon persist for a short period after applying updates is finished.
After clicking the puplet tray icon and applying the updates made available, the
puplet icon in the tray does not go away. After a short period of time, around a
couple of minutes, the tray icon finally goes away. 

Version-Release number of selected component (if applicable):
1.2.4-1

How reproducible:
Every Time

Steps to Reproduce:
1. Click the puplet tray icon to apply updates
2. Apply updates using pup
3. Wait for a couple of minutes for the puplet tray icon to go away
  
Actual results:
Puplet tray icon persists for a couple of minutes after updates are applied.

Expected results:
Puplet tray icon should go away at the very moment updates are applied to avoid
confusion on the success of the updates.
Comment 1 Jeremy Katz 2006-11-06 14:33:22 EST
Fixed it so that we check for pup's exit more often and also so that we change
the icon to the "download in progress" icon while pup is running to help make
things more clear.
Comment 2 Fedora Update System 2006-11-06 15:37:20 EST
pirut-1.2.7-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 Fedora Update System 2006-11-10 13:20:03 EST
pirut-1.2.8-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Fedora Update System 2006-11-16 18:12:02 EST
pirut-1.2.8-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.